DERBitString (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1

## Class DERBitString

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1BitString
      - - org.bouncycastle.asn1.DERBitString

- All Implemented Interfaces:
    ASN1BitStringParser, ASN1Encodable, ASN1String, InMemoryRepresentable, Encodable
  Direct Known Subclasses:
    NetscapeCertType, PKIFailureInfo, ReasonFlags

      public class DERBitString
      extends ASN1BitString

  A BIT STRING with DER encoding - the first byte contains the count of padding bits included in the byte array's last byte.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DERBitString(ASN1Encodable obj)`
    `DERBitString(byte[] data)`
    `DERBitString(byte[] data, int padBits)`
    `DERBitString(byte data, int padBits)`
    `DERBitString(int namedBits)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DERBitString` | `convert(ASN1BitString bitString)`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1BitString

      `getBitStream, getBytes, getBytes, getBytesLength, getInstance, getInstance, getLoadedObject, getOctets, getOctetStream, getPadBits, getPadBits, getString, getTagged, hashCode, intValue, isOctetAligned, parser, toString`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.bouncycastle.asn1.ASN1Encodable

      `toASN1Primitive`

- - ### Constructor Detail

    - #### DERBitString

          public DERBitString(byte[] data)

    - #### DERBitString

          public DERBitString(byte data,
                              int padBits)

    - #### DERBitString

          public DERBitString(byte[] data,
                              int padBits)

    - #### DERBitString

          public DERBitString(int namedBits)

    - #### DERBitString

          public DERBitString(ASN1Encodable obj)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### convert

          public static DERBitString convert(ASN1BitString bitString)